Class UmlBaseUseCaseView

Manage the use case views

Declaration :

- C++ : class UmlBaseUseCaseView : public UmlView
- Java : abstract class UmlBaseUseCaseView extends UmlView

Directly inherited by : UmlUseCaseView

Artifact : UmlBaseUseCaseView

Operation create

returns a new use case view named 's' created under 'parent' In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, in s : str) : UmlUseCaseView, exceptions : RuntimeException
- C++ : public: static UmlUseCaseView * create(UmlItem * parent, const char * s)
- Java : public static UmlUseCaseView create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseUseCaseView

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseUseCaseView(in id : item_id, in n : string) :
- C++ : protected: UmlBaseUseCaseView(void * id, const QCString & n) : UmlView(id, n)
- Java : protected UmlBaseUseCaseView(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload